GNOME Software doesn't offer to update a .deb if it's already installed

Bug #1662430 reported by Robert Orzanna on 2017-02-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-software (Ubuntu)
Medium
Unassigned

Bug Description

Dear all,

Sometimes I do the following:

1. I download a new .deb package that provides an updated version of a package
2. I open this package with Ubuntu Software 3.20.
3. However, it only shows me "Remove" or "Launch" but not "Upgrade"
4. I can still correctly and properly upgrade the software in question from the terminal

Please see the attached GIF as an example.

The package I was trying to upgrade was this one: https://github.com/slgobinath/SafeEyes/releases

Yours,

Robert

Robert Orzanna (orschiro) wrote :

Another software where this problem happens is Atom Editor with the package atom-amd64.deb.

Source: https://github.com/atom/atom/releases

Changed in gnome-software (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
summary: - Cannot update some packages with Ubuntu Software 3.20.1
+ GNOME Software doesn't offer to update a .deb if it's already installed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers